<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>hw1</title>
</head>
<body>
  <h1>HTML</h1>
  <div>
    Язык <b>HTML</b> интерпретируется <a href="https://ru.wikipedia.org/wiki/%D0%91%D1%80%D0%B0%D1%83%D0%B7%D0%B5%D1%80">браузерами</a>; полученный в результате интерпретации
    форматированный текст отображается на экране монитора компьютера или мобильного устройства <br>
    Язык <i>HTML</i> до 5-ой версии определялся как приложение <a href="https://ru.wikipedia.org/wiki/SGML">SGML</a> (стандартного обобщённого языка
    разметки по стандарту <a href="https://ru.wikipedia.org/wiki/%D0%9C%D0%B5%D0%B6%D0%B4%D1%83%D0%BD%D0%B0%D1%80%D0%BE%D0%B4%D0%BD%D0%B0%D1%8F_%D0%BE%D1%80%D0%B3%D0%B0%D0%BD%D0%B8%D0%B7%D0%B0%D1%86%D0%B8%D1%8F_%D0%BF%D0%BE_%D1%81%D1%82%D0%B0%D0%BD%D0%B4%D0%B0%D1%80%D1%82%D0%B8%D0%B7%D0%B0%D1%86%D0%B8%D0%B8">ISO </a> 8879). Спецификации HTML5 формулируются в
    терминах <i><a href="https://ru.wikipedia.org/wiki/Document_Object_Model"> DOM</i><a> (объектной модели документа).<br>
    Язык <a href="https://ru.wikipedia.org/wiki/XHTML">XHTML<a> является более строгим вариантом HTML, он следует синтаксису <a href="https://ru.wikipedia.org/wiki/XML">XML </a> и является
    приложением языка XML в области разметки гипертекста.<br>
    Во всемирной паутине HTML-страницы, как правило, передаются браузерам от сервера по
    протоколам <i><a href="https://ru.wikipedia.org/wiki/HTTP"> HTTP</a></i> или <i><a href="https://ru.wikipedia.org/wiki/HTTPS"> HTTPS</a></i> , в виде простого текста или с использованием <a href="https://ru.wikipedia.org/wiki/%D0%A8%D0%B8%D1%84%D1%80%D0%BE%D0%B2%D0%B0%D0%BD%D0%B8%D0%B5">шифрования</a>.
  </div>
   <h1>Общее представление</h1> 
   <div>
    Язык HTML был разработан <b><a href="https://ru.wikipedia.org/wiki/%D0%91%D0%B5%D1%80%D0%BD%D0%B5%D1%80%D1%81-%D0%9B%D0%B8,_%D0%A2%D0%B8%D0%BC">Тимом Бернерсом-Ли</a></b> приблизительно в <i><a href="https://ru.wikipedia.org/wiki/1986_%D0%B3%D0%BE%D0%B4">1986—
    1991 годах</a></i> в стенах <i><a href="https://ru.wikipedia.org/wiki/%D0%A6%D0%95%D0%A0%D0%9D">ЦЕРНа</a></i> в <i><a href="https://ru.wikipedia.org/wiki/Женева">Женеве</a></i> в <i><a href="https://ru.wikipedia.org/wiki/Швейцария">Швейцарии</a></i> HTML создавался как язык для обмена научной
    и технической документацией, пригодный для использования людьми, не являющимися
    специалистами в области <i><a href="https://ru.wikipedia.org/wiki/%D0%92%D1%91%D1%80%D1%81%D1%82%D0%BA%D0%B0">вёрстки</a></i>. HTML успешно справлялся с проблемой сложности SGML путём
    определения небольшого набора структурных и <b><a href="https://ru.wikipedia.org/wiki/%D0%A1%D0%B5%D0%BC%D0%B0%D0%BD%D1%82%D0%B8%D0%BA%D0%B0">семантических</a></b> элементов — дескрипторов.
    Дескрипторы также часто называют <i><b><a href="https://ru.wikipedia.org/wiki/%D0%A2%D0%B5%D0%B3_(%D1%8F%D0%B7%D1%8B%D0%BA%D0%B8_%D1%80%D0%B0%D0%B7%D0%BC%D0%B5%D1%82%D0%BA%D0%B8)">«тегами»</a></b></i>. С помощью HTML можно легко создать
    относительно простой, но красиво оформленный документ. Помимо упрощения структуры
    документа, в HTML внесена поддержка <i><a href="https://ru.wikipedia.org/wiki/%D0%93%D0%B8%D0%BF%D0%B5%D1%80%D1%82%D0%B5%D0%BA%D1%81%D1%82">гипертекста</a></i>. <i><a href="https://ru.wikipedia.org/wiki/%D0%9C%D1%83%D0%BB%D1%8C%D1%82%D0%B8%D0%BC%D0%B5%D0%B4%D0%B8%D0%B0">Мультимедийные</a></i> возможности были
    добавлены позже. <br>
    Изначально язык HTML был задуман и создан как средство структурирования и форматирования
документов без их привязки к средствам воспроизведения (отображения). В идеале, текст с
разметкой HTML должен был без стилистических и структурных искажений воспроизводиться на
оборудовании с различной технической оснащённостью (цветной экран современного компьютера,
монохромный экран органайзера, ограниченный по размерам экран мобильного телефона или
устройства и программы голосового воспроизведения текстов). Однако современное применение
HTML очень далеко от его изначальной задачи. Например, тег &lt;table&gt;  предназначен для создания в
документах таблиц, но иногда используется и для оформления размещения элементов на странице.
С течением времени основная идея платформо независимости языка HTML была принесена в
жертву современным потребностям в мультимедийном и графическом оформлении. <br>

Текстовые документы, содержащие разметку на языке HTML (такие документы традиционно
имеют <i><a href="https://ru.wikipedia.org/wiki/%D0%A0%D0%B0%D1%81%D1%88%D0%B8%D1%80%D0%B5%D0%BD%D0%B8%D0%B5_%D0%B8%D0%BC%D0%B5%D0%BD%D0%B8_%D1%84%D0%B0%D0%B9%D0%BB%D0%B0">расширение</a></i> <b>.html</b> или <b>.htm</b>), обрабатываются специальными <i><a href="https://ru.wikipedia.org/wiki/%D0%9F%D1%80%D0%B8%D0%BA%D0%BB%D0%B0%D0%B4%D0%BD%D0%BE%D0%B5_%D0%BF%D1%80%D0%BE%D0%B3%D1%80%D0%B0%D0%BC%D0%BC%D0%BD%D0%BE%D0%B5_%D0%BE%D0%B1%D0%B5%D1%81%D0%BF%D0%B5%D1%87%D0%B5%D0%BD%D0%B8%D0%B5">приложениями</a></i>, которые
отображают документ в его форматированном виде. Такие приложения, называемые «браузерами»
или «интернет-обозревателями», обычно предоставляют пользователю удобный <i><a href="https://ru.wikipedia.org/wiki/%D0%98%D0%BD%D1%82%D0%B5%D1%80%D1%84%D0%B5%D0%B9%D1%81_%D0%BF%D0%BE%D0%BB%D1%8C%D0%B7%D0%BE%D0%B2%D0%B0%D1%82%D0%B5%D0%BB%D1%8F">интерфейс</a></i> для
запроса <i><a href="https://ru.wikipedia.org/wiki/%D0%92%D0%B5%D0%B1-%D1%81%D1%82%D1%80%D0%B0%D0%BD%D0%B8%D1%86%D0%B0">веб-страниц</a></i>, их просмотра (и вывода на иные внешние устройства) и, при необходимости,
отправки введённых пользователем данных на сервер. Наиболее популярными на сегодняшний день
браузерами являются <b>Google Chrome, Mozilla Firefox, Opera, Internet Explorer</b> и <b>Safari</b>
   </div>
</body>
</html>
